<? 
define('IN_PHPBB', true); 

if (isset($_GET['add']))
{

$phpbb_root_path = './'; 
include($phpbb_root_path . 'extension.inc'); 
include($phpbb_root_path . 'common.'.$phpEx); 

$userdata = session_pagestart($user_ip, PAGE_INDEX); 
init_userprefs($userdata);                   
$page_title = 'WMID'; 
include($phpbb_root_path . 'includes/page_header.'.$phpEx); 
$template->set_filenames(array( 
   'body' => 'wmid.tpl') 
);

if ( !$userdata['session_logged_in'] ) {
header("Location: /");
}

if ( $userdata['wmr'] != NULL && $userdata['wmid'] != NULL && $userdata['user_level'] != ADMIN ) {
header("Location: /");
}

if (isset($_POST['ok'])) {
$wmid = intval($_POST['wmid']);
$wmr = intval($_POST['wmr']);

if ( empty($wmid)) {
$err = '<font color="red">Введите WMID</font><br>';
} else if ( empty($wmr))  {
$err = '<font color="red">Введите WMR</font><br>';
} else {
$sql = "UPDATE `phpbb_wapusers` SET `wmid` = '".$wmid."', `wmr` = '".$wmr."' WHERE `user_id` = '".$userdata['user_id']."'";
if ( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Упс, что-то пошло не так...)', '', __LINE__, __FILE__, $sql);
			}

			$message = 'Информация заполнена!<meta http-equiv="refresh" content="2;url=' . append_sid("index.$phpEx") . '">';
			message_die(GENERAL_MESSAGE, $message);
}
}

$forma ="<form method='POST' action=''>
Введите WMID: (Только цифры)<br>
<input type='text' maxlength='16' name='wmid' /><br>
Введите WMR: (Без \"R\")<br>
<input type='text' maxlength='16' name='wmr' /><br>
<input type='submit' name='ok' value='Сохранить' />
</form>";

$template->assign_vars(array( 
   'FORMA' => $forma, 
   'ERR' => $err,
   ) 
); 
$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx); 
// это низ сайта 
}


if (isset($_GET['add_adm']))
{

$id = intval($_GET['add_adm']);

$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc'); 
include($phpbb_root_path . 'common.'.$phpEx); 

$userdata = session_pagestart($user_ip, PAGE_INDEX); 
init_userprefs($userdata);  
// всё что выше - шапка сайта                  
$page_title = 'Сменить WMID'; 
include($phpbb_root_path . 'includes/page_header.'.$phpEx); 
$template->set_filenames(array( 
   'body' => 'wmid.tpl') 
);

if ( $userdata['user_level'] != ADMIN && !$userdata['session_logged_in'] ) {
header("Location: /");
}

if (isset($_POST['ok'])) {
$wmid = intval($_POST['wmid']);
$wmr = intval($_POST['wmr']);

if ( empty($wmid)) {
$err = '<font color="red">Введите WMID</font><br>';
} else if ( empty($wmr))  {
$err = '<font color="red">Введите WMR</font><br>';
} else {
$sql = "UPDATE `phpbb_wapusers` SET `wmid` = '".$wmid."', `wmr` = '".$wmr."' WHERE `user_id` = '".$userdata['user_id']."'";
if ( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Упс, что-то пошло не так...)', '', __LINE__, __FILE__, $sql);
			}

			$message = 'Информация изменена!<meta http-equiv="refresh" content="2;url=' . append_sid("index.$phpEx") . '">';
			message_die(GENERAL_MESSAGE, $message);
}
}

$q = mysql_result(mysql_query("SELECT `wmid` FROM `phpbb_wapusers` WHERE `user_id` = '".$id."'"),0);
$q2 = mysql_result(mysql_query("SELECT `wmr` FROM `phpbb_wapusers` WHERE `user_id` = '".$id."'"),0);

$forma ="<form method='POST' action=''>
Введите WMID: (Только цифры)<br>
<input type='text' maxlength='16' name='wmid' value='".$q."' /><br>
Введите WMR: (Без \"R\")<br>
<input type='text' maxlength='16' name='wmr' value='".$q2."' /><br>
<input type='submit' name='ok' value='Сохранить' />
</form>";

$template->assign_vars(array( 
   'FORMA' => $forma, 
   'ERR' => $err,
   ) 
); 
$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx); 
}


?>